﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ZooDAL.Models;

public class Animal : BaseEntity
{
    [Required]
    [MaxLength(64)]
    public string Name { get; set; } = null!;

    public string Specie { get; set; } = null!;

    public int? Weight { get; set; } // g

    public int? Age { get; set; } // year

    // Relationships
    public Guid? EnclosureId { get; set; }

    [ForeignKey(nameof(EnclosureId))]
    public virtual Enclosure? Enclosure { get; set; } = null!;

    public virtual ICollection<Adoption> Adopters { get; set; } = null!;
}