﻿using Microsoft.EntityFrameworkCore;
using ZooDAL.Data;
using ZooDAL.Models;

namespace ZooDAL;

public class ZooContext : DbContext
{
    private const string ConnectionString = "Server=(localdb)\\mssqllocaldb;Integrated Security=True;MultipleActiveResultSets=True;Database=Zoo;Trusted_Connection=True;";

    public DbSet<Animal> Animals { get; set; } = null!;

    public DbSet<Adopter> Adopters { get; set; } = null!;

    public DbSet<Enclosure> Enclosures { get; set; } = null!;

    public DbSet<Adoption> Adoptions { get; set; } = null!;

    protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
    {
        optionsBuilder
            .UseSqlServer(ConnectionString);
    }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        base.OnModelCreating(modelBuilder);

        modelBuilder.Seed();
    }
}