﻿using Autofac;
using ZooDAL;

namespace ZooInfrastructure;

public class AutofacInfrastructureConfig : Module
{
    protected override void Load(ContainerBuilder builder)
    {
        builder.RegisterType<UnitOfWork>()
            .As<IUnitOfWork>()
            .InstancePerLifetimeScope();

        builder.RegisterGeneric(typeof(Repository<>))
            .As(typeof(IRepository<>))
            .InstancePerDependency();

        builder.RegisterType<ZooContext>()
            .AsSelf()
            .InstancePerLifetimeScope();
    }
}