﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using ZooDAL.Models;

namespace ZooInfrastructure;

public interface IRepository<TEntity> where TEntity : BaseEntity
{
    Task<TEntity?> GetAsync(Guid entityId, params string[] includes);

    void Update(TEntity updatedEntity);

    void Create(TEntity entity);

    Task DeleteAsync(Guid entityId);

    Task<IEnumerable<TEntity>> GetAllAsync();
}