﻿using System;
using System.Threading.Tasks;
using ZooDAL.Models;

namespace ZooInfrastructure;

public interface IUnitOfWork : IDisposable
{
    IRepository<Animal> AnimalRepository { get; }

    IRepository<Enclosure> EnclosureRepository { get; }

    Task CommitAsync();
}